User Tools

Site Tools


Ubuntu IPv4-IPv6 Dual-Stack name resolution fix

In case you're up to date and want to offer v4 and v6 services in order to promote v6 you may have run into the issue, that apt-get and git and a lot of other programs on your box won't work properly anymore. The main reason why this is happening, is that many upstream services already resolve AAAA but the services attached are not properly configured. Ubuntu's repos are one of the best examples for that. Apt-get failed on half of their own hostnames because it used v6 by default. The solution is quite simple really:

Add the following to /etc/gai.conf:

precedence ::ffff:0:0/96  100

This will prefer local v4 resolution and will get us through the nasty phase of having to deal with both v4 and v6.

Discussion

Enter your comment. Wiki syntax is allowed:
   ____ ______     __   ___   _____
  / __//_  __/ __ / /  / _ ) / ___/
 / _/   / /   / // /  / _  |/ /__  
/_/    /_/    \___/  /____/ \___/